Order Notification

Purpose

When a customer orders from a Deliverect integrated channel, it will immediately deliver a webhook even to a specified endpoint provided by the POS.

This order will contain the products, prices, payment information and any customer info provided by the channel.

Order Model

For a full list of all order attributes and their definitions, see the link below;

Order Types

The type of order can be displayed to the user on the KDS

TypeInteger Value
pickup1
delivery2
eat in3
curbside4

Order Cancellations

Cancellations will also be sent to the KDS order notification webhook URL, see how to receive and process these correctly in the guide below;

Payload

Sent by Deliverect as a JSON payload.

string

Unique identifier of the order in Deliverect.

string

Unique customer account ID in Deliverect.

string

locationId is the unique ID for the POS to identify the store location.

string

The full unique ID from the delivery channel. Together with the channel is guaranteed to be unique for 48h after pickup.

string

Alternative order ID set by ordering channel, primarily for convenience and readability. This is not unique and typically a shortened version of channelOrderId consisting of 4-5 alphanumeric characters, although may go up to 12 characters.

string

Provided by the POS in response to incoming orders as a reference to a specific POS receipt.

integer
enum

Type of order.

  • Pickup: 1
  • Delivery: 2
  • Eat in: 3
  • Curbside: 4
  • Drive thru: 5
Allowed:
integer

Unique ID of the channel (see GET Integrated channels).

date-time

Time the order is due to be picked up, in the format yyyy-MM-ddTHH:mm:ss.SSSSSSZ.

boolean

Signifies if the order is required as soon as possible.

string

Overall note for an order.

items
array of objects

All the items included in an order.

items
packaging
object

Order-level packaging preferences.

string

Appears where the customer operates multiple brands from one location (see Get account brands).

string

Name of the brand linked to brandId.

boolean

Indicates the order has been sent again to be remade.

string

Name of the customer.

integer

Current order status (see all Order statuses here).

Headers
string
required

Identifies Deliverect as the sender, in the format Deliverect/{version}.

string
required

Signature of the raw request body using your shared secret; recompute it on receipt to verify the request came from Deliverect (see HMAC authentication guide).

Responses
200
201

LoadingLoading…